package com.blazinggames.retro.classic.search;

// Blazing Games imports
import com.blazinggames.urcl.URCLApplet;

/**
 * Classic Artillery Battle
 * Copyright (C) 2001, 2003-2004 Blazing Games Inc.
 *
 * The applet version of Classic Artillery Battle
 * 
 * ------------------------------------------------
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * @author Billy D. Spelchan
 * @version OSR1.00
 */
public class ClassicArtilleryApplet
extends URCLApplet
{
    // *********************
    // ***** CONSTANTS *****
    // *********************

    private static final String VERSION = "1.10.040101";
    private static final String NAME = "Classic Artillery";
    private static final String COPYRIGHT = "Copyright " +
        (char)169 + " Blazing Games Inc. All Rights Reserved.";
    
    // *****************************************
    // ***** METHODS - From SpelchanApplet *****
    // *****************************************

    protected void initDisplays()
    {
        System.out.println(NAME + " v" + VERSION);
        System.out.println(COPYRIGHT);
        _titleDisplay = new Artillery();
        _titleDisplay.initialize(this);
    }

    public String getAppletInfo()
    {
        return NAME + " v" + VERSION + COPYRIGHT;
    }

    public String getName()
    {
        return NAME;
    }
}